packagekit: Update package installed check to use new manual and auto statuses

The apt backend replaced the "installed" status with "auto" or "manual" in:
https://github.com/PackageKit/PackageKit/commit/cfd297aeb51bde67269d74c5a762634314e918b6

Without this change using when using PackageKit >= 1.2.5 .deb packages are not able to be uninstalled.

Fixes GNOME/gnome-software#1720
3 jobs for backport-1333-packagekit-installed-gnome-42 in 1 minute and 56 seconds (queued for 1 second)